### Virtual Method

# Foundry RunTool prepare

#### Declaration [src]

    DexFuture*
    prepare (
      FoundryRunTool* self,
      FoundryBuildPipeline* pipeline,
      FoundryCommand* command,
      FoundryProcessLauncher* launcher,
      int pty_fd
    )

#### Description

No description available.

#### Parameters

`pipeline`

  Type: `FoundryBuildPipeline`

  No description available.

  The data is owned by the caller of the method.

`command`

  Type: `FoundryCommand`

  No description available.

  The data is owned by the caller of the method.

`launcher`

  Type: `FoundryProcessLauncher`

  No description available.

  The data is owned by the caller of the method.

`pty_fd`

  Type: `int`

  No description available.

#### Return value

Type: `DexFuture`

No description available.

The returned data is owned by the instance.